*
{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html
{
  scroll-behavior: smooth;
}

body,
html
{
  font-family: 'Poppins', sans-serif;
  overflow-x: hidden;
}

.hide
{
  overflow: hidden;
}

a
{
  text-decoration: none;
  color: black;
}

li
{
  list-style: none;
}

.main-head
{
  width: 100%;
  background-color: whitesmoke;
}

nav
{
  /* width: 90%; */
  /* margin: auto; */
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: row;
  min-height: 5vh;
}

.nav_links
{
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: row;
  width: 40%;
}

.nav_links .nav-btn
{
  /*padding: 0.7rem 1.2rem;*/
  /* color: white; */
  /* background: #07c0a6; */
  border-radius: 5px;
  font-size: 1.2rem;
  transition: all 0.2s ease;
}

.nav_links a:hover
{
  opacity: 0.8;
  background: red;
  border-radius: 5px;
  padding: 0.7rem 1.2rem;
}

.hamburger
{
  display: none;
}

#logo a
{
  /* display: flex; */
  /* justify-content: center; */
  /* align-items: center; */
  /* flex-direction: row; */
}

#logo img
{
  width: 50%;
  height: 50%;
  border-radius: 50%;
  /* object-fit: contain; */
  object-fit: cover;
  /* object-fit: scale-down; */
  /* object-fit: none; */
  /* object-fit: fill; */
}

.intro
{
  width: 100%;
  margin: 0 auto;
  /* background: #edeef2; */
  /* background-color: #e7e8ec; */
  /* background-color: #e0e3e8; */
  /* background: #e9eaee; */
  /* min-height: 60vh; */
  display: flex;
  /* justify-content: space-around; */
  justify-content: space-evenly;
  align-items: center;
  flex-direction: row;
}

.intro-text h2
{
  font-size: 3rem;
  margin-bottom: 1rem;
  color: black;
}

.intro-text p
{
  font-size: 1.3rem;
  color: #3f3f3f;
}

.intro-text .sec-paragraph
{
  margin-bottom: 2.5rem;
}

.intro-text
{
  padding: 0.7rem 1.2rem;
  font-size: 1.2rem;
  margin-right: 1rem;
  cursor: pointer;
  color: black;
  transition: all 0.2s ease;
  opacity: 0.8;
}

.intro img
{
  width: 100%;
  /* height: fit-content; */
  /* height: 500px; */
  height: 700px;
  object-fit: contain;
  /* object-fit: fill; */
  background: #e9eaee;
}

#about
{
  width: 100%;
  background: #f5f5f5;
  min-height: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}

.container
{
  /* width: 90%; */
  width: 100%;
  margin: auto;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: row;
}

.about-img img
{
  width: 100%;
  /* height: 100%; */
  height: 50%;
  /* -o-object-fit: cover; */
  object-fit: contain;
}

.about-text
{
  margin-left: 5rem;
}

.about-text .about-title
{
  font-size: 3rem;
}

.about-text .border
{
  width: 20rem;
  height: 3px;
  background: #b71c1c;
  margin-bottom: 3rem;
}

.about-text p
{
  font-size: 1.25rem;
  color: #313131;
}

.about-text
{
  padding: 0.7rem 1.3rem;
  border: none;
  /* border: 2px solid #07c0a6; */
  /* background: #07c0a6; */
  font-size: 1.2rem;
  border-radius: 5px;
  margin: 2rem 0rem;
  display: inline-block;
  cursor: pointer;
  color: black;
  transition: all 0.2s ease;
}

.about-text
{
  opacity: 0.8;
}

#noodles
{
  min-height: 100vh;
  width: 90%;
  margin: auto;
  padding-bottom: 2.5rem;
}

.product-container
{
  /* width: 90%; */
  width: 100%;
  margin: auto;
  /* display: flex; */
  /* justify-content: space-around; */
  /* align-items: center; */
  /* flex-direction: row; */
}

.product-texts .border
{
  width: 20rem;
  height: 3px;
  background: #b71c1c;
  margin-bottom: 3rem;
}

.product-title
{
  font-size: 3rem;
}

.product-text
{
  /* width: 20rem; */
  height: auto;
  margin: auto;
  padding: 3rem;
  /* margin-bottom: 3rem; */
}

/* .product-container .border {
  width: 20rem;
  height: 3rem;
  margin-bottom: 3rem;
} */

.product-text p
{
  font-size: 1.25rem;
  color: #313131;
}

.product-text
{
  /* padding: 0.7rem 1.3rem; */
  border: none;
  /* border: 2px solid #07c0a6; */
  /* background: #07c0a6; */
  font-size: 1.2rem;
  border-radius: 5px;
  margin: 2rem 0rem;
  /* display: inline-block; */
  cursor: pointer;
  color: black;
  transition: all 0.2s ease;
}

.product-text
{
  opacity: 0.8;
}

.product-item
{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  padding: 2em;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.product-item:nth-child(even)
{
  background: #f5f5f5;
}

.product-item:nth-child(even) img
{
  order: 2;
}

.product-item h3
{
  margin-bottom: 2rem;
  text-align: center;
  font-size: 1.5rem;
}

.product-item img
{
  display: block;
  padding: 2rem;
  /* width: 100%; */
  /* height: 100%; */
  /* object-fit: cover; */
  width: 100%;
  height: 100%;
  /* -o-object-fit: cover; */
  /* object-fit: contain; */
  object-fit: cover;
  /* object-fit: fill; */
  /* object-fit: scale-down; */
  /* object-fit: none; */
}

.partners-title
{
  text-align: center;
  font-size: 36px;
  font-weight: bold;
  color: #1a1a1a;
  margin-bottom: 10px;
  position: relative;
}

.partners-title::after
{
  content: '';
  /* width: 240px; */
  width: 20%;
  height: 3px;
  position: absolute;
  bottom: -10px;
  /* left: 50%; */
  align-self: center;
  transform: translateX(-100%);
  background-color: #b71c1c;
  border-radius: 5px;
}

/* .partners-text .border { */
/* width: 20rem; */
/* height: 3px; */
/* background: #b71c1c; */
/* margin-bottom: 3rem; */
/* } */

.marquee
{
  display: inline-block;
  white-space: nowrap;
  /* animation: marquee 120s linear infinite; */
  animation: marquee 60s linear infinite;
}

@keyframes marquee
{
  0%
  {
    transform: translateX(0);
  }

  100%
  {
    transform: translateX(-50%);
    /* transform: translateX(-100%); */
  }
}

.marqueelogo
{
  width: 150px;
  height: auto;
  margin-right: 50px;
  /* filter: grayscale(100%); */
  /* Replace #000000 with your desired color */

  /* Add border-radius to make the logos rounded */
  /* border-radius: 50%; */
}

.default-content-container
{
  overflow: hidden;
  padding: 30px;
  width: 100%;
  height: auto;
}

.default-content-container-inner
{
  height: 150px;
  white-space: nowrap;
}

/* .border */
/* { */
/* width: 100px; */
/* height: 3px; */
/* margin-top: 15px; */
/* margin-bottom: 25px; */
/* background-color: #cc0000; */
/* border-radius: 5px; */
/* } */

/* .about-title */
/* { */
/* text-align: center; */
/* font-size: 36px; */
/* font-weight: bold; */
/* color: #1a1a1a; */
/* margin-bottom: 10px; */
/* } */

.partners-text
{
  margin-bottom: 50px;
  margin-top: 50px;
}

.partners-container
{
  max-width: 1140px;
  margin: 0 auto;
  padding-left: 15px;
  padding-right: 15px;
}

@media screen and (max-width: 600px)
{
  .marqueelogo
  {
    width: 100px;
    margin-right: 20px;
  }

  .default-content-container
  {
    padding: 15px;
  }

  .partners-title
  {
    font-size: 28px;
  }
}

footer
{
  width: 100%;
  min-height: 15vh;
  /* background: #1b1c1e; */
  color: black;
  /* color: white; */
  display: inline-flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}

footer p
{
  font-size: 1.1rem;
  padding: 0.3rem;
}

footer p a
{
  color: black;
  text-decoration: underline;
}

footer .crick_details
{
  display: inline-flex;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}

footer .crick_details .copyright p
{
  font-size: 1rem;
}

footer .crick_details .social-media
{
  margin-left: 1rem;
}

footer .crick_details .social-media a
{
  color: black;
  padding: 0rem 0.25rem;
}

@media screen and (max-width: 1000px)
{
  .main-head
  {
    z-index: 10;
  }

  .intro-img svg
  {
    width: 80%;
    height: 80%;
  }

  .intro-text h2
  {
    font-size: 2.5rem;
  }

  .intro-text p
  {
    font-size: 1.2rem;
  }

  .intro-text .download-btn,
  .intro-text .about-btn
  {
    font-size: 1.1rem;
  }

  .nav_links
  {
    width: 60%;
  }

  .nav_links .nav-btn
  {
    font-size: 1.1rem;
  }

  .about-text .about-title
  {
    font-size: 2.5rem;
  }

  .about-text .border
  {
    width: 15rem;
  }

  .about-text p
  {
    font-size: 1.2rem;
  }

  .about-text .download-btn
  {
    font-size: 1.1rem;
  }
}

@media screen and (max-width: 800px)
{
  .intro-text
  {
    text-align: center;
    margin-right: 5rem;
  }

  .intro-img svg
  {
    width: 100%;
    height: 100%;
  }

  .nav_links
  {
    width: 70%;
  }
}

@media screen and (max-width: 630px)
{
  .intro
  {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  .intro-text
  {
    margin-right: 0;
  }

  .intro-text h2
  {
    margin-top: 1.5rem;
  }

  .intro-text p
  {
    margin-top: 1.5rem;
  }

  .intro-text .sec-paragraph
  {
    margin: 0rem 0rem 2.5rem 0rem;
  }

  .intro-img
  {
    z-index: -1;
    text-align: center;
    margin-bottom: 2.5rem;
  }

  .intro-img svg
  {
    width: 90%;
    height: 90%;
  }

  .buttons
  {
    margin-bottom: 3.5rem;
  }

  .container
  {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  .about-text
  {
    margin: 0rem;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  .about-img
  {
    width: 70%;
    height: 70%;
    margin-top: 2.5rem;
  }

  .hamburger
  {
    display: block;
    cursor: pointer;
    z-index: 3;
  }

  .hamburger .line
  {
    width: 2.1rem;
    height: 4px;
    margin: 0.25rem 0rem;
    background: black;
    transition: all 0.5s ease;
  }

  .nav_links
  {
    z-index: 2;
    position: fixed;
    top: 0;
    left: 100%;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    background: #17181a;
    transition: all 0.5s ease;
  }

  .nav_links li a
  {
    color: white;
  }

  .nav-open
  {
    transform: translateX(-100%);
  }
}
